3

I have uploaded a SSL Certificate to my site www.walksindorset.co.uk.

When I test the SSL rating I receive the error message "Server closed connection" on over 15 browsers which includes Andriod 4.0.4, 4.2.2, 4.3 and IE 6 to IE 8.

I cannot find a solution to this problem. Can anyone help?

I am using a shared hosting package via Fasthosts.

  • Could you explain how you are going about testing the SSL rating? I checked out your website via https:// and it works fine, and I ran it though the following SSL testing site ssllabs.com/ssltest/… and did not see any issues.. Your certificates actually get an A+ rating from ssllabs.com, which many banks do not even get that kind of a rating... – Richie086 Jun 17 '16 at 20:35
  • Hi, this is the test results from SSLLABS ssllabs.com/ssltest/… – user114790 Jun 17 '16 at 20:38
  • I have tried to load my site on my wife's android phone and it will not load. I get the error phone message "A secure connection could not be established" and the site won't load – user114790 Jun 17 '16 at 20:39
  • The results of the SSLLABS are towards the end of the report – user114790 Jun 17 '16 at 20:40
4

Several of the browsers that are not supported on that list do not support TLS 1.2, which is the only protocol that your sever is configured to use..

enter image description here

Here is an example of some of the browsers you are having issues with viewing HTTPs enter image description here enter image description here

  • Thank you. How do I overcome that problem? – user114790 Jun 17 '16 at 20:58
  • well, those browsers are no longer being updated so thats why they are not supporting TLS 1.2... You could configure your certificate to allow for the older protocols to be used, but it will weaken the security of your site. What web server are you using? – Richie086 Jun 17 '16 at 21:17
  • 1
    Nowadays, TLS 1.2 is still not supported by many clients, sadly. I would enable TLS 1.0 and TLS 1.1 and reevaluate it eg. in a year or two. – Ángel Jun 17 '16 at 21:51
  • How do I enable 1.0 and 1.1? – user114790 Jun 17 '16 at 21:52
  • 1
    For those on nginx, here is a safe setup supporting TLS 1, 1.1 and 1.2 (scroll down to Nginx configuration additions — 2 of 3). – Rafa Jun 19 '16 at 4:11

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.